%% OBSLUZNY SKRIPT PRO CTENI MIDI
% MIDI soubory nahrajte prosim do podadresare midi. Podadresar ./private
% obsahuje doplnkove funkce pro cteni MIDI souboru. O cteni MIDI souboru se
% tedy jiz nemusite vubec starat. Vasim ukolem je navrhnout syntezu 
% jednotlivych not. Jednotlive noty se syntetizuji ve funkci synth.m, jejiz 
% kostru naleznete v korenovem adresari. Sve reseni syntezy prosim doplnte 
% do teto kostry. Napovedu a pokyny naleznete v hlavicce funkce synth,
% pripadne ./private/midi2synth. Blizsi informace o cislech jednotlivych 
% typu nastroju naleznete v dokumentu MIDI_instrument_table.pdf. Vysledek
% syntezy naleznete v adresari ./result pojmenovany podle puvodnich midi
% souboru.
%
% Upravene funkce pro cteni MIDI souboru vychazi z puvodniho navrhu Ken 
% Schutte (kenschutte@gmail.com), ktere jsou dostupne vcetne dokumentace na 
% http://kenschutte.com/midi podle GPL.

%% Polyfonni synteza a synteza soloveho nastroje (CTRL + ENTER)
% Vse se automaticky precte z midi-souboru:
synthchallenge('Waterloo.mid');

% Cislo nastroje si muzete vynutit. Cela sklada je pote prelozena jen s pouzitim Vami zvoleneho 
% nastroje (vyhodne pro odladeni):
% synthchallenge('Popelka.mid',2);

% Cislo nastroje i kanal si muzete vynutit:
% synthchallenge('Popelka.mid',2,10);

% Cislo nastroje, kanal i notu (dle formatu midi) si muzete vynutit:
% synthchallenge('Popelka.mid', 2, 10, 1);

%% Stupnice
% Pro realizaci stupnice muzete vyuzit vice moznosti. Podstatne je, aby
% stupnice odpovidala zadani. Pro syntezu muzete vyuzit moznost si cislo
% noty pro preklad vynutit nebo si napsat vlastni midi stupnici. Kdo si 
% veri, muze se vyhnout midi prekladu uplne a vyuzit nasledujici postup 
% (vrele doporucuji):
% 
% a) Vypoctete si vektor frekvenci durove stupnice v rozsahu odpovidajicim
%    nastroji.
%
% b) Zvolte si rozumnou dobu trvani tonu.
%
% c) Syntetizujte jednotlive noty pomoci funkce synth.m
%
% d) Vysledny audio zaznam stupnice zapiste do m4a souboru (nezapomente
%    signal normalizovat)



